### Method

# Aravis ChunkParser set_integer_feature_value

since: 0.8.35

#### Declaration [src]

    void
    arv_chunk_parser_set_integer_feature_value (
      ArvChunkParser* parser,
      const char* feature,
      gint64 value,
      GError** error
    )

#### Description [src]

Set a feature value using a 64 bit value. The main use for this function is to set a Selector feature, in order to access the corresponding chunk value. As the Genicam data owned by the parser is not shared with the device, this function is limited to features that don’t trigger device access.

Available since: 0.8.35

#### Parameters

`feature`

  Type: `const char*`

  Feature name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gint64`

  Feature value.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.